package org.project.entity.players;

import org.project.item.armors.Armor;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION

  public class Knight extends Player{
      // TODO: DESIGN KNIGHT'S WEAPON AND ARMOR AND IMPLEMENT THE CONSTRUCTOR
      public Knight(String name) {
          super(
                  name,
                  120,
                  60,
                  new Sword(),
                  new KnightArmor()
          );
      }

}
